{
  "Version": 1,
  "WorkspaceRootPath": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\",
  "Documents": [
    {
      "AbsoluteMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\main.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|solutionrelative:Queues\\main.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Queue.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|solutionrelative:Queues\\Queue.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Node.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|solutionrelative:Queues\\Node.hpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Queue.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|solutionrelative:Queues\\Queue.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Node.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}",
      "RelativeMoniker": "D:0:0:{573669D3-4C46-4C91-B810-80C4962D5345}|Queues\\Queues.vcxproj|solutionrelative:Queues\\Node.cpp||{D0E1A5C6-B359-4E41-9B60-3365922C2A22}"
    }
  ],
  "DocumentGroupContainers": [
    {
      "Orientation": 0,
      "VerticalTabListWidth": 256,
      "DocumentGroups": [
        {
          "DockedWidth": 200,
          "SelectedChildIndex": 4,
          "Children": [
            {
              "$type": "Document",
              "DocumentIndex": 1,
              "Title": "Queue.hpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Queue.hpp",
              "RelativeDocumentMoniker": "Queues\\Queue.hpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Queue.hpp",
              "RelativeToolTip": "Queues\\Queue.hpp",
              "ViewState": "AgIAAAYAAAAAAAAAAAAAAA4AAAAQAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000680|",
              "WhenOpened": "2026-02-25T17:27:36.187Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 2,
              "Title": "Node.hpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Node.hpp",
              "RelativeDocumentMoniker": "Queues\\Node.hpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Node.hpp",
              "RelativeToolTip": "Queues\\Node.hpp",
              "ViewState": "AgIAAAYAAAAAAAAAAAAAAA8AAAAjAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000680|",
              "WhenOpened": "2026-02-25T17:27:25.314Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 3,
              "Title": "Queue.cpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Queue.cpp",
              "RelativeDocumentMoniker": "Queues\\Queue.cpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Queue.cpp",
              "RelativeToolTip": "Queues\\Queue.cpp",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAACAAAAAcAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000677|",
              "WhenOpened": "2026-02-25T17:27:10.152Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 4,
              "Title": "Node.cpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Node.cpp",
              "RelativeDocumentMoniker": "Queues\\Node.cpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\Node.cpp",
              "RelativeToolTip": "Queues\\Node.cpp",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAoAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000677|",
              "WhenOpened": "2026-02-25T17:26:58.723Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 0,
              "Title": "main.cpp",
              "DocumentMoniker": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\main.cpp",
              "RelativeDocumentMoniker": "Queues\\main.cpp",
              "ToolTip": "C:\\Users\\aofallon\\Desktop\\Spring2026\\cpts122\\lectures\\Queues2\\Queues\\main.cpp*",
              "RelativeToolTip": "Queues\\main.cpp*",
              "ViewState": "AgIAAAYAAAAAAAAAAAAAAAQAAAA4AAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000677|",
              "WhenOpened": "2026-02-25T17:26:46.264Z",
              "EditorCaption": ""
            }
          ]
        },
        {
          "DockedWidth": 914,
          "SelectedChildIndex": -1,
          "Children": [
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{d78612c7-9962-4b83-95d9-268046dad23a}"
            },
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{34e76e81-ee4a-11d0-ae2e-00a0c90fffc3}"
            }
          ]
        }
      ]
    }
  ]
}